> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Locations

> Returns list of available locations (data centres). Use the location slug in the URL path after version number to target a specific location: /v1/{slug}/.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json get /config/locations
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /config/locations:
    get:
      tags:
        - Locations
      summary: List Locations
      description: >-
        Returns list of available locations (data centres). Use the location
        slug in the URL path after version number to target a specific location:
        /v1/{slug}/.
      operationId: listLocations
      responses:
        '200':
          description: List of locations
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - display_name: Cycletown
                  is_default: true
                  is_preferred: false
                  description: The original location
                  order_nr: 1
                  slug: cyc01
                  country_code: est
                - display_name: Busburg
                  is_default: false
                  is_preferred: true
                  description: Secondary location
                  order_nr: 2
                  slug: bus02
                  country_code: est
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````